<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_infoterpadu_infografis_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_infoterpadu_infografis_cretae' %}"
    {% endif %}>
   
    {% csrf_token %}
 
    <div class="form-group">
        <label for="judul">Judul Infografis</label>
        <input type="text" placeholder="Masukkan Judul Infografis..."
            class="form-control" name="{{ form.title.name }}" id="title" value="{{infografis.title}}" required>
        <input type="hidden" name="{{ form.typexs.name }}" value="infografis">
        <input type="hidden" name="{{ form.start_event_date.name }}" value="{% now 'Y-m-d' %}">
        <input type="hidden" name="{{ form.end_event_date.name }}" value="{% now 'Y-m-d' %}">
    </div>
    <div class="row form-group">
        <div class="col-md-8">
            <label for="deskripsi">Deskripsi Infografis</label>
            {{form.description}}
        </div>
        <div class="col-md-4">
            <label for="Infografis">Foto Infografis</label>
            <input type="file" class="form-control" name="{{ form_foto.foto.name }}" id="foto"
                {% if form_foto.foto.field.required and not edit %}required{% endif %}>
            <small id="passwordHelpBlock" class="form-text text-muted">
                {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
            </small>
            {{form_foto.x}}
            {{form_foto.y}}
            {{form_foto.width}}
            {{form_foto.height}}
            <div class="col col-md-12 d-flex justify-content-center mt-3">
                <div class="crop-preview" style="max-width: 100%; max-height: 100%;"></div>
                <img id="old-image" style="max-width: 100%; max-height: 100%;" src="{{infografis.foto.url}}">           
            </div>
        </div>
    </div>    
    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>